Bug 1414828 (php-react-stream) - Review Request: php-react-stream - Basic readable and writable stream interfaces that support piping
Summary: Review Request: php-react-stream - Basic readable and writable stream interfa...
Keywords:
Status: CLOSED ERRATA
Alias: php-react-stream
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: php-evenement php-clue-stream-filter php-react-event-loop
Blocks: php-react-child-process php-react-socket php-react-http php-react-socket-client php-react-http-client php-react
TreeView+ depends on / blocked
 
Reported: 2017-01-19 14:56 UTC by Shawn Iwinski
Modified: 2017-02-26 03:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-14 21:23:05 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (11.90 KB, text/plain)
2017-01-21 05:45 UTC, Remi Collet
no flags Details
review.txt (8.13 KB, text/plain)
2017-01-21 05:46 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2017-01-19 14:56:55 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/3d37c6d5522b86ab6f2e39d48e685203354c355f/php-react-stream/php-react-stream.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-react-stream-0.4.5-1.fc25.src.rpm

Description:
Basic readable and writable stream interfaces that support piping.

In order to make the event loop easier to use, this component introduces the
concept of streams. They are very similar to the streams found in PHP itself,
but have an interface more suited for async I/O.

Mainly it provides interfaces for readable and writable streams, plus a file
descriptor based implementation with an in-memory write buffer.

This component depends on événement, which is an implementation of the
EventEmitter.

Fedora Account System Username: siwinski

Comment 1 Remi Collet 2017-01-21 05:45:53 UTC
Created attachment 1243086 [details]
phpci.log

phpCompatInfo version 5.0.4 DB version 1.16.0 built Dec 16 2016
     06:59:17 CET static analyze results

Comment 2 Remi Collet 2017-01-21 05:46:27 UTC
Created attachment 1243087 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1414828 -L /home/extras/SPECS/review/RPMS/
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api

Comment 3 Remi Collet 2017-01-21 05:46:54 UTC
[x]: Package complies to the Packaging Guidelines

So, APPROVED.

Comment 4 Gwyn Ciesla 2017-01-23 14:47:14 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-react-stream

Comment 5 Fedora Update System 2017-01-30 17:50:12 UTC
php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-70b54af759

Comment 6 Fedora Update System 2017-01-31 02:52:57 UTC
php-react-0.4.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-70b54af759

Comment 7 Fedora Update System 2017-02-01 17:29:52 UTC
php-react-0.4.2-2.el7 php-react-stream-0.4.6-1.el7 php-react-socket-0.4.6-1.el7 php-react-child-process-0.4.1-2.el7 php-react-http-0.4.2-2.el7 php-react-http-client-0.4.15-2.el7 php-react-socket-client-0.4.6-3.el7 php-react-dns-0.4.3-3.el7 php-react-promise-timer-1.1.1-2.el7 php-react-event-loop-0.4.2-2.el7 php-react-cache-0.4.1-2.el7 php-clue-block-react-1.1.0-2.el7 php-clue-stream-filter-1.3.0-2.el7 php-evenement-2.0.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7258a839b5

Comment 8 Fedora Update System 2017-02-01 17:31:22 UTC
php-react-0.4.2-2.fc25 php-react-stream-0.4.6-1.fc25 php-react-socket-0.4.6-1.fc25 php-react-child-process-0.4.1-2.fc25 php-react-http-0.4.2-2.fc25 php-react-http-client-0.4.15-2.fc25 php-react-socket-client-0.4.6-3.fc25 php-react-dns-0.4.3-3.fc25 php-react-promise-timer-1.1.1-2.fc25 php-react-event-loop-0.4.2-2.fc25 php-react-cache-0.4.1-2.fc25 php-clue-block-react-1.1.0-2.fc25 php-clue-stream-filter-1.3.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-01c3948081

Comment 9 Fedora Update System 2017-02-01 17:35:38 UTC
php-clue-block-react-1.1.0-2.fc24 php-clue-stream-filter-1.3.0-2.fc24 php-react-0.4.2-2.fc24 php-react-cache-0.4.1-2.fc24 php-react-child-process-0.4.1-2.fc24 php-react-dns-0.4.3-3.fc24 php-react-event-loop-0.4.2-2.fc24 php-react-http-0.4.2-2.fc24 php-react-http-client-0.4.15-2.fc24 php-react-promise-timer-1.1.1-2.fc24 php-react-socket-0.4.6-1.fc24 php-react-socket-client-0.4.6-3.fc24 php-react-stream-0.4.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-70b54af759

Comment 10 Fedora Update System 2017-02-02 21:49:10 UTC
php-clue-block-react-1.1.0-2.fc24, php-clue-stream-filter-1.3.0-2.fc24, php-react-0.4.2-2.fc24, php-react-cache-0.4.1-2.fc24, php-react-child-process-0.4.1-2.fc24, php-react-dns-0.4.3-3.fc24, php-react-event-loop-0.4.2-2.fc24, php-react-http-0.4.2-2.fc24, php-react-http-client-0.4.15-2.fc24, php-react-promise-timer-1.1.1-2.fc24, php-react-socket-0.4.6-1.fc24, php-react-socket-client-0.4.6-3.fc24, php-react-stream-0.4.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-70b54af759

Comment 11 Fedora Update System 2017-02-03 23:49:19 UTC
php-clue-block-react-1.1.0-2.fc25, php-clue-stream-filter-1.3.0-2.fc25, php-react-0.4.2-2.fc25, php-react-cache-0.4.1-2.fc25, php-react-child-process-0.4.1-2.fc25, php-react-dns-0.4.3-3.fc25, php-react-event-loop-0.4.2-2.fc25, php-react-http-0.4.2-2.fc25, php-react-http-client-0.4.15-2.fc25, php-react-promise-timer-1.1.1-2.fc25, php-react-socket-0.4.6-1.fc25, php-react-socket-client-0.4.6-3.fc25, php-react-stream-0.4.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-01c3948081

Comment 12 Fedora Update System 2017-02-04 01:19:42 UTC
php-clue-block-react-1.1.0-2.el7, php-clue-stream-filter-1.3.0-2.el7, php-evenement-2.0.0-3.el7, php-react-0.4.2-2.el7, php-react-cache-0.4.1-2.el7, php-react-child-process-0.4.1-2.el7, php-react-dns-0.4.3-3.el7, php-react-event-loop-0.4.2-2.el7, php-react-http-0.4.2-2.el7, php-react-http-client-0.4.15-2.el7, php-react-promise-timer-1.1.1-2.el7, php-react-socket-0.4.6-1.el7, php-react-socket-client-0.4.6-3.el7, php-react-stream-0.4.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7258a839b5

Comment 13 Fedora Update System 2017-02-14 21:23:05 UTC
php-clue-block-react-1.1.0-2.fc25, php-clue-stream-filter-1.3.0-2.fc25, php-react-0.4.2-2.fc25, php-react-cache-0.4.1-2.fc25, php-react-child-process-0.4.1-2.fc25, php-react-dns-0.4.3-3.fc25, php-react-event-loop-0.4.2-2.fc25, php-react-http-0.4.2-2.fc25, php-react-http-client-0.4.15-2.fc25, php-react-promise-timer-1.1.1-2.fc25, php-react-socket-0.4.6-1.fc25, php-react-socket-client-0.4.6-3.fc25, php-react-stream-0.4.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-02-15 03:18:38 UTC
php-clue-block-react-1.1.0-2.fc24, php-clue-stream-filter-1.3.0-2.fc24, php-react-0.4.2-2.fc24, php-react-cache-0.4.1-2.fc24, php-react-child-process-0.4.1-2.fc24, php-react-dns-0.4.3-3.fc24, php-react-event-loop-0.4.2-2.fc24, php-react-http-0.4.2-2.fc24, php-react-http-client-0.4.15-2.fc24, php-react-promise-timer-1.1.1-2.fc24, php-react-socket-0.4.6-1.fc24, php-react-socket-client-0.4.6-3.fc24, php-react-stream-0.4.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-02-26 03:48:35 UTC
php-clue-block-react-1.1.0-2.el7, php-clue-stream-filter-1.3.0-2.el7, php-evenement-2.0.0-3.el7, php-react-0.4.2-2.el7, php-react-cache-0.4.1-2.el7, php-react-child-process-0.4.1-2.el7, php-react-dns-0.4.3-3.el7, php-react-event-loop-0.4.2-2.el7, php-react-http-0.4.2-2.el7, php-react-http-client-0.4.15-2.el7, php-react-promise-timer-1.1.1-2.el7, php-react-socket-0.4.6-1.el7, php-react-socket-client-0.4.6-3.el7, php-react-stream-0.4.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.